package net.blumia.pcmdroid

import android.net.Uri
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import net.blumia.pcmdroid.model.Folder
import net.blumia.pcmdroid.model.Server
import net.blumia.pcmdroid.model.Song

class MainViewModel : ViewModel() {

    val servers: LiveData<List<Server>> = MutableLiveData<List<Server>>(
        listOf(
            Server(
                url = Uri.parse("https://localhost/api.php"),
                name = "PCM",
                baseFolderName = "pcm",
            ),
            Server(
                url = Uri.parse("https://localhost/api.php"),
                name = "PCM2",
                baseFolderName = "pcm2",
            )
        )
    )

    val currentPath: LiveData<String> = MutableLiveData("")

    val drawerFolders: LiveData<List<Folder>> = MutableLiveData(
        listOf(
            Folder("Test/"),
            Folder("Folder/")
        )
    )

    val folders: LiveData<List<Folder>> = MutableLiveData(
        listOf(
            Folder("Test/Converted-Modules/")
        )
    )

    val songs: LiveData<List<Song>> = MutableLiveData(
        listOf(
            Song(
                filePath = "Test/Rick Astley - Never Gonna Give You Up.mp3",
                url = Uri.parse("http://localhost/rickroll.mp3")
            ),
            Song(
                filePath = "Test/哇 好东西一堆.xm",
                url = Uri.parse("http://localhost/rickroll.mp3")
            )
        )
    )

    fun fetchServer(srv: Server) {
        //
    }

    fun fetchFolder(folder: Folder) {
        //
    }
}